function [ret,x0,str]=*(t,x,u,flag);
% * is the M-file description of the SIMULINK system named *.
%	The block-diagram can be displayed by typing: *        
%
%	SYS=*(T,X,U,FLAG) returns certain system values, depending 
%	on the value of FLAG. Given time point T, current state
%	vector X, and input vector U, FLAG is used to indicate the
%	type of output to be returned in SYS.
%
%	Setting FLAG=1 causes * to return state derivatives. FLAG=2
%	returns discrete states. FLAG=3 returns system outputs.
%	FLAG=4 returns the next sample time. For more information
%	and other options see SFUNC.
%
%	Calling * with a FLAG of zero: [SIZES]=*([],[],[],0)
%	returns a vector, SIZES, which contains the sizes of the 
%	state vector and other parameters.
%	SIZES(1) returns the number of states.
%	SIZES(2) returns the number of discrete states.
%	SIZES(3) returns the number of outputs.
%	SIZES(4) returns the number of inputs.
%
%	For the definition of other parameters in SIZES, see SFUNC.
%	See also TRIM, LINMOD, LINSIM, EULER, RK23, RK45, ADAMS, GEAR.

%	Copyright (c) 1990-94 by The MathWorks, Inc.
%	$Revision: 1.8 $  $Date: 1994/03/09 17:21:51 $

%	Note: This M-file is used for saving graphical information only.
%       After the model is loaded into memory, an internal model
%       representation is used.

% The system will take on the name of this mfile: 
sys = mfilename;
new_system(sys)
simver(1.3)
if(0 == (nargin + nargout))
     set_param(sys,'Location',[14,98,1257,1033])
     open_system(sys)
end;
set_param(sys,'algorithm',		'RK-45')
set_param(sys,'Start time',	'0.0')
set_param(sys,'Stop time',		'999999')
set_param(sys,'Min step size',	'0.0001')
set_param(sys,'Max step size',	'10')
set_param(sys,'Relative error','1e-3')
set_param(sys,'Return vars',	'')

